INSERT INTO EAC_APP_VERSION (DB_VERSION, BIN_VERSION, UPGRADE_DATE, USER_NAME, IS_FINISHED) VALUES (2, '1.0.0.0', CURRENT_TIMESTAMP, 'ADMIN', 0);
^
@COMMENT:Dodanie tabeli logu operacji księgowania
^
CREATE TABLE EAC_LOG_KSIEGOWANIA (
	ID					 INTEGER NOT NULL,
	ID_DOK_KSIEGOWEGO	 INTEGER,
	STATUS_IMPORTU		 SMALLINT,
	DATA_IMPORTU		 TIMESTAMP,
	DATA_OPERACJI		 TIMESTAMP,
	PLIK_ZRODLOWY		 VARCHAR(250),
	NR_DOK_KSIEGOWEGO	 VARCHAR(50),
	NR_DOK_ZRODLOWEGO	 VARCHAR(50),	
	BLAD				 VARCHAR(1000),
	UZYT_IMPORT			 VARCHAR(15)			 
);
^
ALTER TABLE EAC_LOG_KSIEGOWANIA ADD CONSTRAINT PK_EAC_LOG_KSIEGOWANIA PRIMARY KEY (ID);
^
CREATE INDEX EAC_LOG_KSIEGOWANIA_IDX1 ON EAC_LOG_KSIEGOWANIA(ID_DOK_KSIEGOWEGO);
^
CREATE INDEX EAC_LOG_KSIEGOWANIA_IDX2 ON EAC_LOG_KSIEGOWANIA(DATA_IMPORTU);
^
CREATE INDEX EAC_LOG_KSIEGOWANIA_IDX3 ON EAC_LOG_KSIEGOWANIA(PLIK_ZRODLOWY);
^
CREATE GENERATOR EAC_LOG_KSIEGOWANIA_ID_GEN;
^
CREATE TRIGGER BI_EAC_LOG_KSIEGOWANIA_ID FOR EAC_LOG_KSIEGOWANIA
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
      NEW.ID = GEN_ID(EAC_LOG_KSIEGOWANIA_ID_GEN, 1);
END
^
@COMMENT:Odblokowanie bazy danych
^
UPDATE EAC_APP_VERSION SET IS_FINISHED = 1 WHERE DB_VERSION = 2;